- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# osgUtx Namespace Reference

The osgUtx is a unit test framework. More...

## Classes
class | Test
| Test, an abstract base class, is the Composite pattern's component class for our graph of test cases, and defines the basic interface for all Test components. More...
class | TestContext
| TestContext wraps up information which is passed to tests as they are run, and may contain test-specific information or 'global' test objects, such as an output stream for verbose output during the running of tests. More...
class | TestVisitor
| Visits while maintaining the current hierarchical context. More...
class | TestCase
| TestCase, supplies the interface for a Composite pattern's leaf class, though it is not a leaf in itself. More...
class | TestX
| Base class catchable for the exceptions which may be thrown to indicate problems during the run of a TestCase. More...
class | TestFailureX
| A TestFailureX indicates a failure in the tested component. More...
class | TestErrorX
| A TestErrorX indicates an error while testing a component, which prevents the test from being run. More...
class | TestCase_
| TestCase_ is a class template for a leaf TestCase, which allows TestFixture classes to be easily collected into the tree of tests, and have their public test methods called. More...
class | TestSuite
| A TestSuite is the composite component of the Composite pattern, and allows aggregation of Tests into hierarchies. More...
class | TestGraph
| TestGraph is a singleton providing central access to the tree of tests; primarily, it provides access to the root suite. More...
class | TestQualifier
| Maintains a string that when accessed in the "visit" member, returns the current qualified TestSuite path. More...
class | QualifiedTestPrinter
| QualifiedTestPrinter prints to standard output a list of fully qualified tests. More...
class | TestRecord
| A TestRecord records the output of a given test case, i.e. More...
class | TestReport
| A TestReport represents the complete set of results (TestRecords) for a given test run. More...
class | TestRunner
| A TestRunner is a visitor which will run specified tests as it traverses the test graph. More...
struct | TestSuiteAutoRegistrationAgent
| A helper struct to perform automatic registration at program startup; not for direct use, it should be used via the following macros. More...
## Functions
std::ostream & | operator<< (std::ostream &o, const TestRecord &tr)

## Detailed Description

The osgUtx is a unit test framework.

## Function Documentation

std::ostream& osgUtx::operator<< | ( | std::ostream & | o,
|  | const TestRecord & | tr
| ) |